config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  OLD="$(dirname $NEW)/$(basename $OLD .sample)"
  OLD="$(dirname $NEW)/$(basename $OLD .dist)"

  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

mkgroup() {
  GROUP="$1"
  if ! grep -qe "^$GROUP:" etc/group; then
    echo Creating group $GROUP...
    chroot . /usr/sbin/groupadd $GROUP
  fi
}

mkuser() {
  USER="$1"
  if [ ! -z "$2" ]; then
    GROUP="$2"
  else
    GROUP="$USER"
  fi
  if ! grep -qe "^$USER:" etc/passwd; then
    echo Creating user $USER...
    chroot . /usr/sbin/useradd $USER -g $GROUP
  fi
}

config etc/rc.d/rc.saslauthd.new
( cd usr/lib/sasl2 ; rm -rf libsasldb.so.2 )
( cd usr/lib/sasl2 ; ln -sf libsasldb.so.2.0.23 libsasldb.so.2 )
( cd usr/lib/sasl2 ; rm -rf libsasldb.so )
( cd usr/lib/sasl2 ; ln -sf libsasldb.so.2.0.23 libsasldb.so )
( cd usr/lib/sasl2 ; rm -rf libcrammd5.so.2 )
( cd usr/lib/sasl2 ; ln -sf libcrammd5.so.2.0.23 libcrammd5.so.2 )
( cd usr/lib/sasl2 ; rm -rf libcrammd5.so )
( cd usr/lib/sasl2 ; ln -sf libcrammd5.so.2.0.23 libcrammd5.so )
( cd usr/lib/sasl2 ; rm -rf libdigestmd5.so.2 )
( cd usr/lib/sasl2 ; ln -sf libdigestmd5.so.2.0.23 libdigestmd5.so.2 )
( cd usr/lib/sasl2 ; rm -rf libdigestmd5.so )
( cd usr/lib/sasl2 ; ln -sf libdigestmd5.so.2.0.23 libdigestmd5.so )
( cd usr/lib/sasl2 ; rm -rf libotp.so.2 )
( cd usr/lib/sasl2 ; ln -sf libotp.so.2.0.23 libotp.so.2 )
( cd usr/lib/sasl2 ; rm -rf libotp.so )
( cd usr/lib/sasl2 ; ln -sf libotp.so.2.0.23 libotp.so )
( cd usr/lib/sasl2 ; rm -rf libplain.so.2 )
( cd usr/lib/sasl2 ; ln -sf libplain.so.2.0.23 libplain.so.2 )
( cd usr/lib/sasl2 ; rm -rf libplain.so )
( cd usr/lib/sasl2 ; ln -sf libplain.so.2.0.23 libplain.so )
( cd usr/lib/sasl2 ; rm -rf libanonymous.so.2 )
( cd usr/lib/sasl2 ; ln -sf libanonymous.so.2.0.23 libanonymous.so.2 )
( cd usr/lib/sasl2 ; rm -rf libanonymous.so )
( cd usr/lib/sasl2 ; ln -sf libanonymous.so.2.0.23 libanonymous.so )
( cd usr/lib ; rm -rf libsasl2.so.2 )
( cd usr/lib ; ln -sf libsasl2.so.2.0.23 libsasl2.so.2 )
( cd usr/lib ; rm -rf libsasl2.so )
( cd usr/lib ; ln -sf libsasl2.so.2.0.23 libsasl2.so )
